version: '3.1'

services:
    test-app:
        image: uiii-lib/nestjs-auth/test
        ports:
            - 3900:3000
            - 3909:9229
        env_file: ../env/test.app.env
        volumes:
            - ../..:/usr/src/app
            - lib_node_modules:/usr/src/app/node_modules
            - test_node_modules:/usr/src/app/test/app/node_modules
        tty: true

    db:
        image: postgres:12
        ports:
            - 3901:5432
        env_file: ../env/test.db.env
        volumes:
            - test_db_data:/var/lib/postgresql/data

volumes:
    lib_node_modules:
    test_node_modules:
    test_db_data:

networks:
  default:
    external:
      name: local
